View Issue Details

IDProjectCategoryView StatusLast Update
0000450FreeCADPatchpublic2011-10-21 13:12
ReporterjmaustpcAssigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000450: new Icons for Part Work Bench, Ruled Surface, Shape Info, and Create Primitives
DescriptionI have created three Icons for Part Work Bench,
1)Ruled Surface,
2)Shape Info, and
3)Create Primitives

Additional InformationI believe these Icons are good enough to be (at least) better than nothing. I suggest we include them for now and simply replace them in the future if someone comes up with something better.

I have included the modified associated files ....
Workbench.cpp, Command.cpp, Part.qrc,

as well as the three svg Part icon files .....
CreatePrimitives, ShapeInfo, and RuledSurface.svg

in the zip archives attached
TagsNo tags attached.

Activities

2011-10-19 04:23

 

PartWorkBench_added_ruledsurface_ShapeInfo_and_CreatePrimatives_icons_to_toolbars_and_menus_in_Part_Workbench.zip (Attachment missing)

2011-10-20 16:12

 

new_icons_Partinfo_RuledSurface_CreatePrimatives.zip (Attachment missing)

jmaustpc

2011-10-20 16:16

manager   ~0001177

The newer zip archive now contains diff files for the changed files and complete files for the new files.

I have not yet got diff to behave well enough to get a single patch yet. Sorry for the inconvenience.

wmayer

2011-10-21 12:55

administrator   ~0001179

you don't need to diff every single file. You can put the diffs of all files to a single file. Simply use this in the FreeCAD root directory:

svn diff > mypatch.diff

wmayer

2011-10-21 13:12

administrator   ~0001180

Done in r5047

Issue History

Date Modified Username Field Change
2011-10-19 04:23 jmaustpc New Issue
2011-10-19 04:23 jmaustpc File Added: PartWorkBench_added_ruledsurface_ShapeInfo_and_CreatePrimatives_icons_to_toolbars_and_menus_in_Part_Workbench.zip
2011-10-20 16:12 jmaustpc File Added: new_icons_Partinfo_RuledSurface_CreatePrimatives.zip
2011-10-20 16:16 jmaustpc Note Added: 0001177
2011-10-21 12:55 wmayer Note Added: 0001179
2011-10-21 13:12 wmayer Note Added: 0001180
2011-10-21 13:12 wmayer Status new => closed
2011-10-21 13:12 wmayer Resolution open => fixed
2011-10-21 13:12 wmayer Fixed in Version => 0.12